The
todaytraffic-bytes-by-cpcodereport was discontinued on April 1, 2026. As an alternative, use the delivery/traffic/current report, based on the Reporting API v2.
The following shows how to generate the todaytraffic-bytes-by-cpcode report using either the Reporting API's Generate a report POST operation or the Get a cacheable report GET operation. Details about each report's supported products, metrics, filters, and available data intervals are also available dynamically by running the API's Get a report type operation, also shown below. See also other available reports.
Report definition
Today traffic bytes by CP code.
Business object: cpcode
Data available for: 92 days
Required products: Kona Site Defender, Download Delivery, OTA Updates, Web Application Protector, Wholesale Delivery, Adaptive Media Delivery, Dynamic Site Accelerator, Ion, Dynamic Site Delivery, Object Delivery, or Kona DDoS Defender
Available metrics
| Metric | Description |
|---|---|
| Data metrics | |
bytesOffload | The volume that was served by Akamai as a percentage of total volume served for given objects and filters. |
edgeBytes | The volume for the amount of API traffic that left the Akamai network. |
midgressBytes | The volume for the amount of internal API traffic exchanged between Akamai edge servers. |
originBytes | The volume for traffic from the origin. |
Available filters
| Filter | Type | Description |
|---|---|---|
| Optional filters | ||
response_class | Enumeration | A class of HTTP response status codes, from 0xx through 6xx. |
0xx: An aborted action on the client side. | ||
1xx: An informational response, like Continue. | ||
2xx: A successful response. | ||
3xx: Success, but a redirect where the thing you want is somewhere else. | ||
4xx: Error, where there's some problem with the client request. | ||
5xx: Error, where there's some problem with how the API server responded to the client request.Y | ||
6xx: Invalid headers (defined by Akamai). | ||
response_status | Enumeration | An indicator of whether the HTTP response resulted in success or an error. |
success: Successful HTTP response status. | ||
error: Error HTTP response status. |
POST request
POST /reporting-api/v1/reports/todaytraffic-bytes-by-cpcode/versions/1/report-data{?start,end}
Sample: /reporting-api/v1/reports/todaytraffic-bytes-by-cpcode/versions/1/report-data?start=2020-05-01T00%3A00%3A00Z&end=2020-06-01T00%3A00%3A00Z
Query parameters
| Parameter | Type | Sample | Description |
|---|---|---|---|
| Required | |||
start | String | 2020-05-01T00:00:00Z | Specifies the start of the reported period as an ISO-8601 timestamp with optional time zone. The report includes data that matches the start value's timestamp. |
end | String | 2020-06-01T00:00:00Z | Specifies the end of the reported period as an ISO-8601 timestamp with optional time zone. The report excludes any data that matches the end value's timestamp. |
JSON request members
| Member | Type | Description |
|---|---|---|
objectIds | Array | Specifies the set of cpcode values you want to report on. |
objectIds | Enumeration | As an alternative to an array of ID values, specify all as a string for unfiltered data. Either way, objectIds is required. |
metrics | Array | The set of desired metrics. If omitted, the report includes all available metrics. |
filters | Map of arrays | Specifies a set of custom filters, with each filter's name keying an array with each filter's set of values. |
Request body:
{
"objectIds": [
"55232",
"23433",
"32433"
],
"metrics": [
"bytesOffload",
"edgeBytes",
"midgressBytes",
"originBytes"
],
"filters": {
"response_class": [
"2xx",
"1xx"
],
"response_status": [
"success",
"error"
]
}
}
GET request
GET /reporting-api/v1/reports/todaytraffic-bytes-by-cpcode/versions/1/report-data{?start,end,objectIds,allObjectIds,metrics,filters}
Sample: /reporting-api/v1/reports/todaytraffic-bytes-by-cpcode/versions/1/report-data?start=2020-05-01T00%3A00%3A00Z&end=2020-06-01T00%3A00%3A00Z&objectIds=55232,23433,32433&metrics=bytesOffload%2CedgeBytes&filters=response_class%3D1xx%2Cresponse_class%3D2xx%2Cresponse_status%3Dsuccess%2Cresponse_status%3Derror
Query parameters
| Parameter | Type | Sample | Description |
|---|---|---|---|
| Required | |||
start | String | 2022-06-23T13:55:00Z | Specifies the start of the reported period as an ISO-8601 timestamp with optional time zone. The report includes data that matches the start value’s timestamp. |
end | String | 2022-06-23T14:15:00Z | Specifies the end of the reported period as an ISO-8601 timestamp with optional time zone. The report excludes any data that matches the end value’s timestamp. |
| Optional | |||
allObjectIds | Boolean | true | As an alternative to objectIds, enabling this generates a report that includes all IDs available for the cpcode objectType. This parameter is ignored if the request also specifies a set of objectIds. |
objectIds | String | 55232,23433,32433 | As an alternative to allObjectIds, specifies the set of unique IDs for the cpcode objectType you want to report on, formatted as a comma-delimited list. |
metrics | String | bytesOffload,edgeBytes | Specifies a comma-separated list of metrics to include in the report, otherwise all metrics if omitted. The set of available metrics depends on the type of report. URL-encode the entire value in the GET request. |
filters | String | response_class=1xx,response_class=2xx,response_status=success,response_status=error | Specifies criteria to filter the report's data. The set of available filters depends on the type of report. Separate each filter name and value with an equals (=) character, and separate various name/value pairs with commas (,). To specify more than one filter value, repeat the filter name. See the accompanying example for guidance. URL-encode the entire value in the GET request. |
JSON response
Status 200 application/json
Response body:
{
"metadata": {
"name": "todaytraffic-bytes-by-cpcode",
"version": "1",
"outputType": "FLAT",
"groupBy": [
"cpcode"
],
"start": "2020-05-01T00:00:00Z",
"end": "2020-06-01T00:00:00Z",
"availableDataEnds": null,
"suggestedRetryTime": null,
"rowCount": 4,
"filters": [
{
"name": "response_class",
"values": [
"5xx",
"4xx"
]
},
{
"name": "response_status",
"values": [
"success",
"error"
]
}
],
"columns": [
{
"name": "groupBy",
"label": "cpcode"
},
{
"name": "bytesOffload",
"label": "Offloaded Bytes"
},
{
"name": "edgeBytes",
"label": "Edge Bytes"
},
{
"name": "midgressBytes",
"label": "Midgress Bytes"
},
{
"name": "originBytes",
"label": "Origin Bytes"
}
],
"objectType": "cpcode",
"objectIds": [
"55232",
"23433",
"32433"
]
},
"data": [
{
"cpcode": "34512",
"bytesOffload": "28",
"edgeBytes": "2691",
"midgressBytes": "2306",
"originBytes": "4008"
},
{
"cpcode": "51234",
"bytesOffload": "26",
"edgeBytes": "3690",
"midgressBytes": "2717",
"originBytes": "1332"
},
{
"cpcode": "12345",
"bytesOffload": "1",
"edgeBytes": "1075",
"midgressBytes": "3991",
"originBytes": "2978"
},
{
"cpcode": "23451",
"bytesOffload": "46",
"edgeBytes": "3643",
"midgressBytes": "2952",
"originBytes": "2161"
}
],
"summaryStatistics": {}
}
CSV response
Status 200 text/csv
Response Body:
#METADATA_START
name,todaytraffic-bytes-by-cpcode
version,1
source,todaytraffic-bytes-by-cpcode/versions/1
groupBy,cpcode
start,2020-05-01T00:00:00Z
end,2020-06-01T00:00:00Z
availableDataEnds,
suggestedRetryTime,
rowCount,4
objectType,cpcode
objectIds,55232,23433,32433
response_class,5xx,4xx
response_status,success,error
#METADATA_END
#SUMMARYSTATISTICS_START
#SUMMARYSTATISTICS_END
#COLUMNS_START
cpcode,bytesOffload,edgeBytes,midgressBytes,originBytes
#COLUMNS_END
#DATA_START
34512,28,2691,2306,4008
51234,26,3690,2717,1332
12345,1,1075,3991,2978
23451,46,3643,2952,2161
#DATA_END
Get report details
This sample Get a report type operation gets the same information you need to run the todaytraffic-bytes-by-cpcode report as provided in this reference documentation, but available dynamically to your API client application.
GET /reporting-api/v1/reports/todaytraffic-bytes-by-cpcode/versions/1
Status 200 application/json
Response body:
{
"name": "todaytraffic-bytes-by-cpcode",
"description": "Today traffic bytes by CP code.",
"businessObjectName": "cpcode",
"version": 1,
"status": "DEPRECATED",
"deprecated": true,
"timeBased": false,
"outputType": "FLAT",
"requiredProducts": [
"Kona Site Defender",
"Download Delivery",
"OTA Updates",
"Web Application Protector",
"Wholesale Delivery",
"Adaptive Media Delivery",
"Dynamic Site Accelerator",
"Ion",
"Dynamic Site Delivery",
"Object Delivery",
"Kona DDoS Defender"
],
"requiredRoles": [
"Reports - All privileges",
"Reports - View only",
"OTA App User"
],
"available": true,
"metrics": [
{
"name": "bytesOffload",
"description": "The volume that was served by Akamai as a percentage of total volume served for given objects and filters.",
"label": "Offloaded Bytes",
"unit": "RATIO",
"summaryStatistic": false
},
{
"name": "edgeBytes",
"description": "The volume for the amount of API traffic that left the Akamai network.",
"label": "Edge Bytes",
"unit": "COUNT",
"summaryStatistic": false
},
{
"name": "midgressBytes",
"description": "The volume for the amount of internal API traffic exchanged between Akamai edge servers.",
"label": "Midgress Bytes",
"unit": "COUNT",
"summaryStatistic": false
},
{
"name": "originBytes",
"description": "The volume for traffic from the origin.",
"label": "Origin Bytes",
"unit": "COUNT",
"summaryStatistic": false
}
],
"groupOutlyingValues": {
"enabled": false
},
"groupBy": [
"cpcode"
],
"filters": [
{
"name": "response_status",
"type": "enum",
"description": "An indicator of whether the HTTP response resulted in success or an error. ",
"values": [
{
"value": "success",
"description": "Successful HTTP response status."
},
{
"value": "error",
"description": "Error HTTP response status."
}
],
"required": false
},
{
"name": "response_class",
"type": "enum",
"description": "A class of HTTP response status codes, from 0xx through 6xx. ",
"values": [
{
"value": "0xx",
"description": "An aborted action on the client side."
},
{
"value": "1xx",
"description": "An informational response, like Continue."
},
{
"value": "2xx",
"description": "A successful response."
},
{
"value": "3xx",
"description": "Success, but a redirect where the thing you want is somewhere else."
},
{
"value": "4xx",
"description": "Error, where there's some problem with the client request."
},
{
"value": "5xx",
"description": "Error, where there's some problem with how the API server responded to the client request.Y"
},
{
"value": "6xx",
"description": "Invalid headers (defined by Akamai)."
}
],
"required": false
}
],
"intervals": [
"MONTH",
"WEEK",
"DAY",
"HOUR",
"FIVE_MINUTES"
],
"dataRetentionDays": 92,
"links": [
{
"rel": "self",
"href": "/reporting-api/v1/reports/todaytraffic-bytes-by-cpcode/versions/1"
},
{
"rel": "versions",
"href": "/reporting-api/v1/reports/todaytraffic-bytes-by-cpcode/versions"
},
{
"rel": "all-reports",
"href": "/reporting-api/v1/reports"
},
{
"rel": "execute-report",
"href": "/reporting-api/v1/reports/todaytraffic-bytes-by-cpcode/versions/1/report-data"
}
]
}